Login | Register
My pages Projects Community openCollabNet

Discussions > commits > svn commit: r2470 - branches/fsvs-1.2.x/fsvs/tests/049_invalid_props

fsvs
Discussion topic

Back to topic list

svn commit: r2470 - branches/fsvs-1.2.x/fsvs/tests/049_invalid_props

Author pmarek
Full name P.Marek
Date 2013-05-31 17:48:33 PDT
Message Author: pmarek
Date: 2013-05-30 23:00:44-0700
New Revision: 2470

Modified:
   branches/fsvs-1.2.x/​fsvs/tests/049_inval​id_props

Log:
Fix test for newer subversion versions.

Modified: branches/fsvs-1.2.x/​fsvs/tests/049_inval​id_props
Url: http://fsvs.tigris.o​rg/source/browse/fsv​s/branches/fsvs-1.2.​x/fsvs/tests/049_inv​alid_props?view=diff​&pathrev=2470​&r1=2469&r2=247​0
====================​====================​====================​==================
--- branches/fsvs-1.2.x/​fsvs/tests/049_inval​id_props (original)
+++ branches/fsvs-1.2.x/​fsvs/tests/049_inval​id_props 2013-05-30 23:00:44-0700
@@ -17,11 +17,12 @@
 
 function SetProp
 {
- test -f $svnfile && rm $svnfile
+ test -f $svnfile && rm $svnfile
     svn ci -m2 $svndir
 
     echo $RANDOM > $svnfile
- svn add $svnfile
+ # Grmpf ... svn: warning: W150002: '...asd' is already under version control
+ svn add $svnfile 2> /dev/null || true
     test -n "$1" && svn ps fsvs:owner "$1" $svnfile
     test -n "$2" && svn ps fsvs:group "$2" $svnfile
     test -n "$3" && svn ps fsvs:text-time "$3" $svnfile
@@ -29,6 +30,7 @@
     svn ci -m2 $svndir
 }
 
+
 SetProp
 $BINdflt up
 # Currently *no* fsvs-properties are set ... so defaults should apply.
@@ -77,3 +79,25 @@
   $WARN "UID 0 needed to get arbitrary owner/group."
 fi
 
+
+svn pd fsvs:owner $svnfile
+svn pd fsvs:group $svnfile
+svn pd fsvs:text-time $svnfile
+svn pd fsvs:unix-mode $svnfile
+svn ci -m3 $svndir
+
+$BINdflt diff -r HEAD
+rev=`$BINdflt up | grep "revision " | tail -1 | cut -f2 -d" " | cut -f1 -d"."`
+for ro in `seq 3 $rev`
+do
+ $BINdflt up -r $ro > /dev/null
+ echo -n "Diff $ro: "
+ for r in `seq 3 $rev`
+ do
+ echo -n " $r"
+ $BINdflt diff -r $r > /dev/null
+ done
+ echo "."
+done
+$SUCCESS "All diff revision combinations ok."
+

« Previous message in topic | 1 of 1 | Next message in topic »

Messages

Show all messages in topic

svn commit: r2470 - branches/fsvs-1.2.x/fsvs/tests/049_invalid_props pmarek P.Marek 2013-05-31 17:48:33 PDT
Messages per page: